Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model
Class DeadlinesImpl

    java.lang.Object
      org.jbpm.services.task.impl.model.DeadlinesImpl

All Implemented Interfaces:
  Externalizable, Serializable, org.kie.internal.task.api.model.Deadlines

    @Embeddable
    public class DeadlinesImpl

extends Object
implements org.kie.internal.task.api.model.Deadlines

See Also:
  Serialized Form

Constructor Summary
`DeadlinesImpl()`

Method Summary
`boolean` | `equals(Object obj)`
`List<org.kie.internal.task.api.model.Deadline>` | `getEndDeadlines()`
`List<org.kie.internal.task.api.model.Deadline>` | `getStartDeadlines()`
`int` | `hashCode()`
`void` | `readExternal(ObjectInput in)`
`void` | `setEndDeadlines(List<org.kie.internal.task.api.model.Deadline> endDeadlines)`
`void` | `setStartDeadlines(List<org.kie.internal.task.api.model.Deadline> startDeadlines)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeadlinesImpl

    public DeadlinesImpl()

Method Detail

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### getStartDeadlines

    public List<org.kie.internal.task.api.model.Deadline> getStartDeadlines()

  Specified by:
    `getStartDeadlines` in interface `org.kie.internal.task.api.model.Deadlines`

### setStartDeadlines

    public void setStartDeadlines(List<org.kie.internal.task.api.model.Deadline> startDeadlines)

  Specified by:
    `setStartDeadlines` in interface `org.kie.internal.task.api.model.Deadlines`

### getEndDeadlines

    public List<org.kie.internal.task.api.model.Deadline> getEndDeadlines()

  Specified by:
    `getEndDeadlines` in interface `org.kie.internal.task.api.model.Deadlines`

### setEndDeadlines

    public void setEndDeadlines(List<org.kie.internal.task.api.model.Deadline> endDeadlines)

  Specified by:
    `setEndDeadlines` in interface `org.kie.internal.task.api.model.Deadlines`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.